Package uk.ac.starlink.array

# Class ScratchNDArray.BackingStore

java.lang.Object
uk.ac.starlink.array.ScratchNDArray.BackingStore

Enclosing class:
  `ScratchNDArray`

public static class ScratchNDArray.BackingStore extends Object
Typesafe enum class enumerating the types of backing store implementation available.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ScratchNDArray.BackingStore`
`DIRECT`
`static final ScratchNDArray.BackingStore`
`MEMORY`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MEMORY

public static final ScratchNDArray.BackingStore MEMORY

### DIRECT

public static final ScratchNDArray.BackingStore DIRECT